Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
rvm bug: doesn't use Gemfile 'ruby' line specifying JRuby correctly (w/install_on_use_flag=1)
$ rvm list
rvm rubies
jruby-1.7.10 [ x86_64 ]
jruby-1.7.2 [ x86_64 ]
jruby-1.7.3 [ x86_64 ]
jruby-1.7.4 [ x86_64 ]
jruby-1.7.6 [ x86_64 ]
jruby-1.7.8 [ x86_64 ]
rbx-head [ x86_64 ]
ruby-1.8.7-p370 [ i686 ]
ruby-1.8.7-p371 [ i686 ]
ruby-1.9.2-p290 [ x86_64 ]
ruby-1.9.2-p320 [ x86_64 ]
ruby-1.9.3-p194 [ missing bin/ruby ]
ruby-1.9.3-p327 [ x86_64 ]
* ruby-1.9.3-p374 [ x86_64 ]
ruby-1.9.3-p392 [ x86_64 ]
ruby-1.9.3-p429 [ x86_64 ]
ruby-1.9.3-p448 [ x86_64 ]
ruby-1.9.3-p484 [ x86_64 ]
ruby-2.0.0-p195 [ x86_64 ]
ruby-2.0.0-p247 [ x86_64 ]
ruby-2.0.0-p353 [ x86_64 ]
ruby-2.1.0 [ x86_64 ]
# => - current
# =* - current && default
# * - default
Tue 18-Feb 10:43 ~/play/cftest $ cd ..; cd -
/Users/<user>/play/cftest
RVM used your Gemfile for selecting Ruby, it is all fine - Heroku does that too,
you can ignore these warnings with 'rvm rvmrc warning ignore /Users/<user>/play/cftest/Gemfile'.
To ignore the warning for all files run 'rvm rvmrc warning ignore allGemfiles'.
ruby-1.9.3,:engine=>jruby,:engine_version=>1.7.8 is not installed - installing.
ruby-1.9.3-p484 - #removing src.
ruby-1.9.3-p484 - #removing rubies.
Searching for binary rubies, this might take some time.
No binary rubies available for: osx/10.7/x86_64/ruby-1.9.3-p484.
Continuing with compilation. Please read 'rvm help mount' to get more information on binary rubies.
Checking requirements for osx_brew.
Certificates in '/usr/local/etc/openssl/cert.pem' already are up to date.
Requirements installation successful.
Installing Ruby from source to: /Users/<user>/.rvm/rubies/ruby-1.9.3-p484, this may take a while depending on your cpu(s)...
ruby-1.9.3-p484 - #downloading ruby-1.9.3-p484, this may take a while depending on your connection...
ruby-1.9.3-p484 - #extracting ruby-1.9.3-p484 to /Users/<user>/.rvm/src/ruby-1.9.3-p484.
ruby-1.9.3-p484 - #applying patch /Users/<user>/.rvm/patches/ruby/GH-488.patch.
ruby-1.9.3-p484 - #configuring...............................................
ruby-1.9.3-p484 - #post-configuration.
ruby-1.9.3-p484 - #compiling............................................................
ruby-1.9.3-p484 - #installing..............
ruby-1.9.3-p484 - #making binaries executable.
ruby-1.9.3-p484 - #downloading rubygems-2.2.2
ruby-1.9.3-p484 - #extracting rubygems-2.2.2.
ruby-1.9.3-p484 - #removing old rubygems.
ruby-1.9.3-p484 - #installing rubygems-2.2.2..............
ruby-1.9.3-p484 - #gemset created /Users/<user>/.rvm/gems/ruby-1.9.3-p484@global
ruby-1.9.3-p484 - #importing gemset /Users/<user>/.rvm/gemsets/global.gems.....
ruby-1.9.3-p484 - #generating global wrappers.
ruby-1.9.3-p484 - #gemset created /Users/<user>/.rvm/gems/ruby-1.9.3-p484
ruby-1.9.3-p484 - #importing gemsetfile /Users/<user>/.rvm/gemsets/default.gems evaluated to empty gem list
ruby-1.9.3-p484 - #generating default wrappers.
ruby-1.9.3-p484 - #adjusting #shebangs for (gem irb erb ri rdoc testrb rake).
Install of ruby-1.9.3-p484 - #complete
WARNING: Please be aware that you just installed a ruby that will finish normal maintenance on 2014-02-23, for a list of maintained rubies visit:
http://bugs.ruby-lang.org/projects/ruby/wiki/ReleaseEngineering
Please consider upgrading to ruby-2.1.0 which will have all of the latest security patches.
Ruby was built without documentation, to build it run: rvm docs generate-ri
Unknown ruby string (do not know how to handle): :engine=>jruby.
Unknown ruby string (do not know how to handle): :engine_version=>1.7.8.
Tue 18-Feb 10:50 ~/play/cftest $ echo 'rvm use jruby-1.7.8' > .ruby_version
Tue 18-Feb 10:51 ~/play/cftest $ cd ..; cd -
/Users/<user>/play/cftest
RVM used your Gemfile for selecting Ruby, it is all fine - Heroku does that too,
you can ignore these warnings with 'rvm rvmrc warning ignore /Users/<user>/play/cftest/Gemfile'.
To ignore the warning for all files run 'rvm rvmrc warning ignore allGemfiles'.
ruby-1.9.3,:engine=>jruby,:engine_version=>1.7.8 is not installed - installing.
ruby-1.9.3-p484 - #removing src.
ruby-1.9.3-p484 - #removing rubies.
Searching for binary rubies, this might take some time.
No binary rubies available for: osx/10.7/x86_64/ruby-1.9.3-p484.
Continuing with compilation. Please read 'rvm help mount' to get more information on binary rubies.
Checking requirements for osx_brew.
Certificates in '/usr/local/etc/openssl/cert.pem' already are up to date.
Requirements installation successful.
Installing Ruby from source to: /Users/<user>/.rvm/rubies/ruby-1.9.3-p484, this may take a while depending on your cpu(s)...
ruby-1.9.3-p484 - #downloading ruby-1.9.3-p484, this may take a while depending on your connection...
ruby-1.9.3-p484 - #extracting ruby-1.9.3-p484 to /Users/<user>/.rvm/src/ruby-1.9.3-p484^C
Tue 18-Feb 10:51 ~/play/cftest $ rvm list
rvm rubies
jruby-1.7.10 [ x86_64 ]
jruby-1.7.2 [ x86_64 ]
jruby-1.7.3 [ x86_64 ]
jruby-1.7.4 [ x86_64 ]
jruby-1.7.6 [ x86_64 ]
jruby-1.7.8 [ x86_64 ]
rbx-head [ x86_64 ]
ruby-1.8.7-p370 [ i686 ]
ruby-1.8.7-p371 [ i686 ]
ruby-1.9.2-p290 [ x86_64 ]
ruby-1.9.2-p320 [ x86_64 ]
ruby-1.9.3-p194 [ missing bin/ruby ]
ruby-1.9.3-p327 [ x86_64 ]
=* ruby-1.9.3-p374 [ x86_64 ]
ruby-1.9.3-p392 [ x86_64 ]
ruby-1.9.3-p429 [ x86_64 ]
ruby-1.9.3-p448 [ x86_64 ]
ruby-2.0.0-p195 [ x86_64 ]
ruby-2.0.0-p247 [ x86_64 ]
ruby-2.0.0-p353 [ x86_64 ]
ruby-2.1.0 [ x86_64 ]
# => - current
# =* - current && default
# * - default
Tue 18-Feb 10:51 ~/play/cftest $ rvm get head
Downloading https://get.rvm.io
Downloading https://github.com/wayneeseguin/rvm/archive/master.tar.gz
Upgrading the RVM installation in /Users/<user>/.rvm/
RVM PATH line found in /Users/<user>/.bashrc /Users/<user>/.zshenv.
RVM sourcing line found in /Users/<user>/.bash_profile /Users/<user>/.zprofile.
Updating libyaml in /Users/<user>/.rvm/usr to version 0.1.5, see https://github.com/wayneeseguin/rvm/issues/2594 .............................................
Upgrade of RVM in /Users/<user>/.rvm/ is complete.
# <user name>,
#
# Thank you for using RVM!
# We sincerely hope that RVM helps to make your life easier and more enjoyable!!!
#
# ~Wayne, Michal & team.
In case of problems: http://rvm.io/help and https://twitter.com/rvm_io
Upgrade Notes:
* It looks like some old stuff is laying around RVM, you can cleanup with: rvm cleanup all
* No new notes to display.
RVM reloaded!
Tue 18-Feb 10:52 ~/play/cftest $ rvm cleanup all
Cleaning up rvm archives
Cleaning up rvm repos
Cleaning up rvm src
Cleaning up rvm log
Cleaning up rvm tmp
Cleaning up rvm gemsets
Cleaning up rvm links
Cleanup done.
Tue 18-Feb 10:53 ~/play/cftest $ # No difference after updating to rvm head and re-running the above...
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.